(function () {
    "use strict";

    angular.module('pos').controller('revogarController', controller);
    controller.$inject = ['$scope', '$stateParams', 'securityService'];

    function controller($scope, $stateParams, securityService) {
        $scope.state = {
            initialized: false
        }
        var intialize = function () {
            securityService.revokeResetPassword($stateParams.id).then(success, error);
        }

        var success = function (data) {
            $scope.state.initialized = true;
        }

        var error = function (data) {
            console.log(data);
        }

        intialize();
    }

})();